POST api/NurseTriage/SaveSpecimen
Request Information
URI Parameters
None.
Body Parameters
SpecimenDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| specimen_code | string |
String length: inclusive between 0 and 4 |
|
| specimen_type | string |
String length: inclusive between 0 and 20 |
|
| specimen_category | string |
String length: inclusive between 0 and 1 |
|
| notes | string |
String length: inclusive between 0 and 80 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"specimen_code": "sample string 1",
"specimen_type": "sample string 2",
"specimen_category": "sample string 3",
"notes": "sample string 4",
"ValidFlag": true,
"DateCreated": "2026-06-20T04:07:32.8518645-07:00",
"DateUpdated": "2026-06-20T04:07:32.8518645-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfSpecimenDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | SpecimenDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"specimen_code": "sample string 1",
"specimen_type": "sample string 2",
"specimen_category": "sample string 3",
"notes": "sample string 4",
"ValidFlag": true,
"DateCreated": "2026-06-20T04:07:32.8717948-07:00",
"DateUpdated": "2026-06-20T04:07:32.8717948-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
},
"totalCount": 3
}